PredictorRegistry::Iterator Class Reference

`#include <predictorRegistry.h>`

Collaboration diagram for PredictorRegistry::Iterator:

## Public Member Functions

| Iterator (std::vector< Predictor * > &)
| ~Iterator ()
bool | hasNext () const
Predictor * | next ()

## Private Attributes

std::vector< Predictor * >::iterator | iter_end
std::vector< Predictor * >::iterator | iter_curr

## Detailed Description

Definition at line 53 of file predictorRegistry.h.

## Constructor & Destructor Documentation

## Iterator()

PredictorRegistry::Iterator::Iterator | ( | std::vector< Predictor * > & | cont | ) |

Definition at line 240 of file predictorRegistry.cpp.

References iter_curr, and iter_end.

## ~Iterator()

PredictorRegistry::Iterator::~Iterator | ( |  | ) |

Definition at line 245 of file predictorRegistry.cpp.

## Member Function Documentation

## hasNext()

bool PredictorRegistry::Iterator::hasNext | ( |  | ) | const

Definition at line 248 of file predictorRegistry.cpp.

References iter_curr, and iter_end.

Referenced by ContextTracker::learn(), and PredictorActivator::predict().

Here is the caller graph for this function:

## next()

Predictor * PredictorRegistry::Iterator::next | ( |  | ) |

Definition at line 255 of file predictorRegistry.cpp.

References iter_curr.

Referenced by ContextTracker::learn(), and PredictorActivator::predict().

Here is the caller graph for this function:

## Member Data Documentation

## iter_curr

std::vector<Predictor*>::iterator PredictorRegistry::Iterator::iter_curr

private

Definition at line 63 of file predictorRegistry.h.

Referenced by hasNext(), Iterator(), and next().

## iter_end

std::vector<Predictor*>::iterator PredictorRegistry::Iterator::iter_end

private

Definition at line 62 of file predictorRegistry.h.

Referenced by hasNext(), and Iterator().

The documentation for this class was generated from the following files:

- /build/presage-XwIsB9/presage-0.9.1/src/lib/core/predictorRegistry.h
- /build/presage-XwIsB9/presage-0.9.1/src/lib/core/predictorRegistry.cpp